tool_box_select {rbokeh} | R Documentation

## Add "box_select" tool to a Bokeh figure

### Description

Add "box_select" tool to a Bokeh figure

### Usage

    tool_box_select(fig, callback = NULL, ref_layer = NULL,
      line_color = "black", line_alpha = 1, fill_color = "lightgrey",
      fill_alpha = 0.5, line_width = 2, line_dash = c(4, 4),
      level = "overlay")

### Arguments

`fig` | figure to modify
`callback` | a callback to be applied to this tool - either a character string of javascript code or any one of `debug_callback`, `shiny_callback`, `console_callback`, `custom_callback`
`ref_layer` | name of the layer that the callback should be applied to
`line_color, line_alpha, fill_color, fill_alpha, line_width, line_dash, level` | parameters to control the look of the selection bounding region

### Note

Tools can be easily specified as a vector of tool names in the `tools` argument when instantiating a `figure`. In this case, they are added with defaults. Explicitly calling these `tool_` functions will manually add the tool to a figure and allow additional specification of parameters.

### See Also

Other tools: `tool_box_zoom`, `tool_crosshair`, `tool_hover`, `tool_lasso_select`, `tool_pan`, `tool_reset`, `tool_resize`, `tool_save`, `tool_tap`, `tool_wheel_zoom`

### Examples

    figure() %>% ly_points(1:10) %>%
     tool_box_select()

[Package rbokeh version 0.5.0 Index]